Skip to content

Servers ​

GET /api/servers ​

List servers you can access

  • Access: Signed-in user (browser session); also reachable with an API token that has the read scope

POST /api/servers ​

Provision a server

  • Access: Administrator; also reachable with an API token that has the provision scope
  • Body: name, ownerId, templateId, nodeId?, location?, memoryMb?, cpuPercent?, diskMb?, port?, force?

GET /api/servers/{id} ​

One server

  • Access: Signed-in user (browser session); also reachable with an API token that has the read scope
  • Path parameters: id

PATCH /api/servers/{id} ​

Edit name and resources

  • Access: Administrator
  • Path parameters: id

DELETE /api/servers/{id} ​

Delete a server and its data

  • Access: Administrator
  • Path parameters: id

POST /api/servers/{id}/actions ​

start, stop, restart, kill, suspend, unsuspend, reinstall, backup or restore

  • Access: Signed-in user (browser session); also reachable with an API token that has the suspend scope
  • Path parameters: id
  • Body: action, backupId?, confirm?

POST /api/servers/{id}/clone ​

Clone a server (optionally with data from a backup)

  • Access: Administrator
  • Path parameters: id
  • Body: name, includeData?, backupId?, ownerId?, nodeId?, location?, force?

GET /api/servers/{id}/crash-policy ​

Automatic restart policy and state

  • Access: Signed-in user (browser session)
  • Path parameters: id

PUT /api/servers/{id}/crash-policy ​

Set the restart policy

  • Access: Signed-in user (browser session)
  • Path parameters: id
  • Body: mode, maxRestarts, windowMinutes, backoffSeconds[]

GET /api/servers/{id}/events ​

Crash and restart history

  • Access: Signed-in user (browser session)
  • Path parameters: id

GET /api/servers/{id}/metrics ​

CPU and memory history

  • Access: Signed-in user (browser session)
  • Path parameters: id

GET /api/servers/{id}/ports ​

Port mappings

  • Access: Signed-in user (browser session)
  • Path parameters: id

POST /api/servers/{id}/ports ​

Add an extra port mapping

  • Access: Signed-in user (browser session)
  • Path parameters: id
  • Body: container, protocol, label?

DELETE /api/servers/{id}/ports/{offset} ​

Remove an extra port mapping

  • Access: Signed-in user (browser session)
  • Path parameters: id, offset

PATCH /api/servers/{id}/settings ​

Change the variables an owner may edit

  • Access: Signed-in user (browser session)
  • Path parameters: id
  • Body: variables

GET /api/servers/{id}/startup ​

Image, command and environment as the server starts

  • Access: Signed-in user (browser session)
  • Path parameters: id

Released under the AGPL-3.0-only license.